# Class GetPaymentAccountsRequest

#### Hierarchy

- unknown
  - GetPaymentAccountsRequest

- Defined in src/protobuf/grpc_pb.d.ts:1836
- Defined in src/protobuf/grpc_pb.d.ts:1845

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetPaymentAccountsRequest(): GetPaymentAccountsRequest

- #### Returns GetPaymentAccountsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1837

### toObject

- toObject(includeInstance?: boolean): GetPaymentAccountsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetPaymentAccountsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1838

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentAccountsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentAccountsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1841

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentAccountsRequest, reader: BinaryReader): GetPaymentAccountsRequest

- #### Parameters

  - ##### message: GetPaymentAccountsRequest

  - ##### reader: BinaryReader

  #### Returns GetPaymentAccountsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1842

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentAccountsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetPaymentAccountsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1840

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetPaymentAccountsRequest): GetPaymentAccountsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentAccountsRequest

  #### Returns GetPaymentAccountsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1839

Generated using TypeDoc